/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    NAVIGATION
    Menus et paginations
*/

/*
  01 - HEADER NAVIGATION
        Général
        Navigation secondaire
        Navigation mobile
  02 - BREADCRUMB
  03 - PAGINATION
  99 - A SUPPRIMER ?
*/



/* -------------------------
  01 - HEADER NAVIGATION
        Général
------------------------- */

/* Navigation primaire + optionnel */
.header__nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex: 1;
    border-bottom: 1px solid var(--white);
    margin-left: 60px;
}

    @media (max-width: 1199px) {
        .header__nav {
            display: none;
            /* position: absolute;
            top: 100%;
            left: 0;
            background-color: var(--gray-300);
            margin-left: 0;
            width: 100%;
            height: 100vh;
            transition: top .4s, opacity .4s;
            z-index: 2; */
        }
    }

    /* No Active */
    @media (max-width: 991px) {
        /* .header__nav:not(.active) {
            pointer-events: none;
            top: 60%;
            opacity: 0;
        } */
    }

.header__nav nav {
    width: 100%;
    height: 100%;
}

    @media (max-width: 991px) {
        /* .header__nav nav {
            overflow-y: auto;
        }

        .header__nav nav > ul {
            padding-bottom: 92px;
        } */
    }

/* Bouton fermeture mobile */
.btn-close {
    display: flex;
    justify-content: flex-end;
    padding: 25px;
    font-size: 2.1rem;
}

    @media (min-width: 992px) {
        .btn-close {
            display: none;
        }
    }

/* Niveau 1 */
@media (min-width: 992px) {
    .header__nav ul.first-level {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        height: 100%;
    }
}

.header__nav ul.first-level > li {
    display: flex;
    align-items: center;
    padding: 0 16px;
    height: 100%;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level > li {
            display: block;
            padding: 0;
        }
    }

.header__nav ul.first-level > li > a {
    display: block;
    font-size: 1.4rem;
    text-transform: uppercase;
    font-weight: bold;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level > li > a {
            font-size: 2.1rem;
            padding: 20px 30px;
        }
    }

    /* Onglets avec enfants */
    .header__nav ul.first-level > li.menu-item-has-children > a {
        position: relative;
        pointer-events: none;
    }

    @media (min-width: 992px) {
        /* Hover + Active */
        .header__nav ul.first-level > li.current-page-ancestor > a,
        .header__nav ul.first-level > li.current_page_item > a,
        .header__nav ul.first-level > li > a:hover,
        .header__nav ul.first-level > li.menu-item-has-children:hover > a {
            color: #52ACB8;
        }
    }

/* Niveau 2 et + */
.header__nav ul.first-level ul {
    display: flex;
    flex-direction: column;
    background-color: #52ACB8;
    margin: 0;
    transform: translateY(0);
    transition: transform .5s, opacity .5s;
    z-index: 1;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level ul {
            width: 100%;
            background-color: var(--gray-500);
        }

            /* No Hover */
            .header__nav ul.first-level li:not(.sfhover) ul {
                pointer-events: none;
                padding: 0;
                height: 0;
                opacity: 0;
                transform: translateY(-10px);
            }
    }

    @media (min-width: 992px) {
        .header__nav ul.first-level ul {
            position: absolute;
            top: 100%;
            left: 0;
            padding: 30px 0;
            width: 100%;

        }

            /* No Hover */
            .header__nav ul.first-level li:not(:hover) > ul {
                pointer-events: none;
                opacity: 0;
                transform: translateY(-10px);
            }
    }

    /* @changelog 2024-01-11 [EVOL] (Nicolas) Création d'un ::before invisible pour garder l'effet de survol jusqu'au ul */
    .header__nav ul.first-level ul::before {
        content: "";
        position: absolute;
        top: -30px;
        left: 0;
        background-color: transparent;
        width: 100%;
        height: 30px;
    }

    .second-level-container {
        display: flex;
        flex-wrap: wrap;
    }

    .second-level-picture {
        position: relative;
    }
        .second-level-picture .cover{
            aspect-ratio: 534 / 186;
            border-radius: 16px;
        }
        .second-level-picture .frame-image{
            position: absolute;
            top: 50%;
            left: -90px;
            transform: translateY(-50%);
        }

    .second-level-title {
        font-size: 2.4rem;
        font-weight: bold;
        color: var(--white);
        text-transform: uppercase;
        margin-bottom: 24px;
    }

.header__nav ul.first-level ul li {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level ul li {
            flex-direction: column;
        }
    }

.header__nav ul.first-level ul li a {
    display: block;
    color: var(--white);
    text-decoration: none;
    padding: 8px 45px;
    height: 100%;
    width: 100%;
}
.header__nav ul.first-level ul li a::before {
    content: "\e920";
    font-family: icomoon;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level ul li a {
            font-size: 1.6rem;
            padding: 20px 80px;
            padding-right: 0;
        }

            /* Hover */
            .header__nav ul.first-level ul li.current-page-ancestor > a,
            .header__nav ul.first-level ul li.current_page_item > a,
            .header__nav ul.first-level ul li.sfhover > a {
                color: var(--white);
                text-decoration: underline;
            }
    }

    @media (min-width: 992px) {
        /* Hover + Active */
        .header__nav ul.first-level ul li.current-page-ancestor > a,
        .header__nav ul.first-level ul li.current_page_item > a,
        .header__nav ul.first-level ul li:hover > a,
        .header__nav ul.first-level ul li a:hover {
            text-decoration: underline;
        }
    }

/* Niveau 3 */
.header__nav ul.first-level ul ul {
    background-color: #B2B2B2;
    transition: transform .5s, opacity .5s;
}

    @media (min-width: 992px) {
        .header__nav ul.first-level ul ul {
            top: 0;
            left: 100%;
            background-color: var(--gray-500);
            margin-top: -30px;
            z-index: 1;
        }
    }

.header__nav ul.first-level ul ul li a {
    padding: 8px 45px;
}

    @media (max-width: 991px) {
        .header__nav ul.first-level ul ul li a {
            font-size: 1.4rem;
            padding: 16px 120px;
            padding-right: 0;
        }

            /* Hover */
            .header__nav ul.first-level ul ul li a:hover {
                color: var(--white);
                text-decoration: underline;
            }
    }



/* -----------------------------
  01 - HEADER NAVIGATION
        Navigation secondaire
----------------------------- */

.header__nav.nav-secondary {
    border-bottom: none;
    margin-left: 30px;
}

.header__nav.nav-secondary ul.first-level {
    justify-content: flex-start;
}

.header__nav.nav-secondary a {
    color: var(--color-tertiary);
}



/* -----------------------------
  01 - HEADER NAVIGATION
        Navigation mobile
----------------------------- */

.navigation-mobile {
    order: 3;
    padding-top: 15px;
}

    @media (min-width: 1200px) {
        .navigation-mobile {
            display: none;
        }
    }

    /* Si connecté au BO */
    body.admin-bar .navigation-mobile {
        /* top: 46px; */
    }

        @media (min-width: 992px) {
            body.admin-bar .navigation-mobile {
                /* top: 32px; */
            }
        }

.navigation-mobile__menu {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #52ACB8;
    width: 100vw;
    /* 100% - Barre admin - Widgets Mobile */
    height: calc(100vh - 54px);
    transition: opacity .4s, transform .4s;
}

    /* Not active */
    .navigation-mobile__menu:not(.active) {
        pointer-events: none;
        opacity: 0;
        transform: translateY(-10%);
    }

    /* Connecté au BO */
    body.admin-bar .navigation-mobile__menu {
        /* 100% - Barre admin - Widgets Mobile */
        height: calc(100vh - 46px - 54px);
    }


/* Géneral */
.navigation-mobile nav ul > li > a {
    display: block;
    color: var(--white);
    font-weight: 700;
    padding: 15px 30px;
}
@media (max-width: 1199px) {
    .menu-contact {
        padding:15px 30px;
    }
    .menu-contact > a {
        width: max-content;
        padding: 15px 25px;
    }
}

/* Niveau 1 */
.navigation-mobile nav ul.first-level > li > a {
    text-transform: uppercase;
}
.navigation-mobile nav ul.first-level > li.mobileDbClick > a {
    pointer-events: none;
}

/* Barre des widgets (dont le btn-burger) */
.navigation-mobile__widgets-bar {
    padding: 25px 30px;
    background-color: var(--gray-300);
}

/* Niveau 2 */
.navigation-mobile nav ul.second-level {
    transition: transform .5s, opacity .5s;
    padding: 0 40px;
}

    @media (max-width: 1199px) {
        /* Not hover */
        .navigation-mobile nav ul.first-level li:not(.sfhover) ul {
            pointer-events: none;
            padding: 0;
            height: 0;
            opacity: 0;
            transform: translateY(-10px);
        }
    }

.navigation-mobile nav ul.second-level li {
    padding: 15px 0;
}
    .navigation-mobile nav ul.second-level li a {
        color: var(--white);
    }
    .navigation-mobile nav ul.second-level li a::before {
        content: "\e920";
        font-family: icomoon;
    }

/* Boutons */



/* -----------------
  02 - BREADCRUMB
----------------- */

.breadcrumb,
.breadcrumb a {
    font-size: 1.2rem;
    color: var(--white);
    margin-bottom: 10px;
}

/* @changelog 2024-01-18 [EVOL] (Nicolas) Pas utilisé ici mais pratique sur d'autres sites */
/* Structure généré par YOAST */
/* .breadcrumb > span > span a {
    color: var(--color-secondary);
} */

    /* Premier élément */
    /* .breadcrumb > span > span:first-child a {
        color: var(--color-secondary);
        text-decoration: underline;
    } */

    /* Dernier élement */
    /* .breadcrumb > span > span.breadcrumb_last {
        color: var(--color-secondary);
    } */



/* -------------------------
  03 - PAGINATION
------------------------- */

.tool-pagination {
    display: flex;
    justify-content: flex-end;
    margin: 40px 0;
}

.tool-pagination .pages {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
    background-color: var(--gray-200);
    border-radius: 50px;
	margin: 0;
	padding: 5px;
}

.tool-pagination .pages li {
	padding: 0;
	margin: 2px;
}

    .tool-pagination .pages li::before {
        display: none;
    }

.tool-pagination .pages li a,
.tool-pagination .pages li .dots,
.tool-pagination .pages li .page-number {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--white);
	color: var(--color-primary);
    border-radius: 50%;
    font-size: 1.6rem;
	min-width: 30px;
	height: 30px;
}

    /* Hover */
    .tool-pagination .pages li > a:hover,
    /* Current */
    .tool-pagination .pages li .page-number.current {
        background-color: var(--color-quaternary);
        color: var(--white);
    }

/* Prev */
.tool-pagination .pages li .prev {
    transform: scaleX(-1);
}


/* -------------------------
  99 - A SUPPRIMER ?
------------------------- */

/*
    Info :
    Je ne sais pas à quoi sert cette déclaration, je la laisse dans le doute
*/

body .mm-menu_offcanvas {
	max-width: 80vw;
}
